#include <iostream>
#include <string>

using namespace std;

int main() {
    int age1 = 1;
    int age2 = 1;
    int age3 = 1;
    int weight1 = 4;
    int weight2 = 4;
    int weight3 = 1;
    string color1 = "g";
    string color2 = "r";
    string color3 = "y";
    if (age1 == age2 && age2 == age3 && weight1 == weight2 && weight2 == weight3 && !(color1 == color2 && color2 == color3)) {
        cout << "YES\n";
    } else {
        cout << "NO\n";
    }
}
